websocket-sharp System.Object Provides the basic functions of the WebSocket service. The WebSocketService class is an abstract class.
- Constructor
  Initializes a new instance of the class.
  To be added.
- Method
  System.Void `` An array of to broadcast. Broadcasts the specified array of to the clients of every instances in the . To be added.
- Method
  System.Void `` A to broadcast. Broadcasts the specified to the clients of every instances in the . To be added.
- Method
  System.Collections.Generic.Dictionary<System.String,System.Boolean> Pings to the clients of every instances in the . A Dictionary<string, bool> that contains the collection of IDs and values indicating whether each instances received a Pong in a time. To be added.
- Method
  System.Collections.Generic.Dictionary<System.String,System.Boolean> `` A that contains a message. Pings with the specified to the clients of every instances in the . A Dictionary<string, bool> that contains the collection of IDs and values indicating whether each instances received a Pong in a time. To be added.
- Property
  System.String Gets the ID of the instance. A that contains an ID. To be added.
- Property
  System.Boolean Gets a value indicating whether the instance is bound to a . true if the instance is bound to a ; otherwise, false. To be added.
- Method
  System.Void `` A that contains the event data associated with a event. Occurs when the inner receives a Close frame or the Stop method is called. To be added.
- Method
  System.Void `` An that contains the event data associated with a event. Occurs when the inner gets an error. To be added.
- Method
  System.Void `` A that contains the event data associated with a event. Occurs when the inner receives a data frame. To be added.
- Method
  System.Void Occurs when the WebSocket connection has been established. To be added.
- Method
  System.Boolean Pings to the client of the instance. true if the instance receives a Pong in a time; otherwise, false. To be added.
- Method
  System.Boolean `` A that contains a message. Pings with the specified to the client of the instance. true if the instance receives a Pong in a time; otherwise, false. To be added.
- Method
  System.Boolean `` A that contains an ID that represents the destination for the Ping. Pings to the client of the instance associated with the specified . true if the instance receives a Pong in a time; otherwise, false. To be added.
- Method
  System.Boolean `` `` A that contains an ID that represents the destination for the Ping. A that contains a message. Pings with the specified to the client of the instance associated with the specified . true if the instance receives a Pong in a time; otherwise, false. To be added.
- Method
  System.Boolean `` `` A that contains a collection of the HTTP Cookies received from the client. A that contains a collection of the HTTP Cookies to send to the client. Processes the cookies used in the WebSocket opening handshake. true if processing the cookies is successfully; otherwise, false. To be added.
- Property
  System.Collections.Specialized.NameValueCollection Gets the collection of query string variables used in the WebSocket opening handshake. A that contains the collection of query string variables. To be added.
- Method
  System.Void `` An array of that contains a binary data to send. Sends a binary data to the client of the instance. To be added.
- Method
  System.Void `` A that contains a text data to send. Sends a text data to the client of the instance. To be added.
- Method
  System.Void `` `` A that contains an ID that represents the destination for the data. An array of that contains a binary data to send. Sends a binary data to the client of the instance associated with the specified . To be added.
- Method
  System.Void `` `` A that contains an ID that represents the destination for the data. A that contains a text data to send. Sends a text data to the client of the instance associated with the specified . To be added.
- Property
  WebSocketSharp.Server.WebSocketServiceManager Gets the sessions to the . A that contains the sessions to the the . To be added.
- Method
  System.Void Starts the instance. To be added.
- Method
  System.Void Stops the instance. To be added.
- Method
  System.Void `` `` A that contains a status code indicating the reason for stop. A that contains a reason for stop. Stops the instance with the specified and . To be added.
- Method
  System.Void `` `` One of the values that contains a status code indicating the reason for stop. A that contains a reason for stop. Stops the instance with the specified and . To be added.